跳转到主要内容
监控与采集相关接口/监控综合
PUTMonitoring起始版本 1.0同步需要认证

更新隔离配置

更新租户隔离配置设置。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

请求体字段

  • enabledBoolean必填

    是否启用。

    示例: true

  • tenantLabelNameString必填

    标签名称租户标识。

    示例: tenant_id

  • exemptTenantsList必填

    豁免租户。

    示例: item1,item2

  • auditModeBoolean必填

    审计模式。

    示例: false

  • blockOnViolationBoolean必填

    阻止查询违反隔离。

    示例: true

响应状态

200 OK

该 API 成功时返回一个空的 JSON 结构 {}。

请求地址

PUT/api/v1/monitoring/isolation/config

/api/v1/monitoring/isolation/config

操作 ID

UpdateIsolationConfig

永久链接

请求示例

curl -X PUT '{host}/api/v1/monitoring/isolation/config' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"enabled":true,"tenantLabelName":"tenant_id","exemptTenants":"item1,item2","auditMode":false,"blockOnViolation":true}'

响应示例

200
{}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史